Appearance
Operations
Save
Use this operation to save data to the selected blockchain.
POST https://api.bws.ninja/v1/call
Request Body
| Name | Type | Description |
|---|---|---|
| solution* | string | BWS.Blockchain.Save |
| version* | number | 1 |
| network* | string | check networks |
| operation* | string | save |
| parameters* | JSON | check Method Parameters |
json
{
"statusCode": 200,
"statusMessage": "",
"info": {
"jobId": "59d0f46b-0b58-4972-8aca-51d06f69f25e"
}
}Method Parameters
| Parameter | Type | Max. Size | Desciption |
|---|---|---|---|
| value | string | (check network) | The value to save to blockchain. |
Curl Example
INFO
This operation is asynchronous.
Once executed, check the results using fetch API and the providedjobId.
powershell
curl --location 'https://api.bws.ninja/v1/call' \
--header 'X-Api-Key: API-KEY' \
--header 'Content-Type: application/json' \
--data '{
"solution": "BWS.Blockchain.Save",
"version": 1,
"network": "mumbai",
"operation": "save",
"parameters": {
"value": "Hello World!"
}
}'